stache-2.3.4: Mustache templates for Haskell

Copyright | © 2016–present Stack Builders
License | BSD 3 clause
Maintainer | Mark Karpov <markkarpov92@gmail.com>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Mustache.Render

Description

Functions for rendering Mustache templates. You don't usually need to import the module, because Text.Mustache re-exports everything you may need, import that module instead.

Synopsis

- renderMustache :: Template -> Value -> Text
- renderMustacheW :: Template -> Value -> ([MustacheWarning], Text)

# Documentation

renderMustache :: Template -> Value -> Text #

Render a Mustache `Template` using Aeson's `Value` to get actual values for interpolation.

renderMustacheW :: Template -> Value -> ([MustacheWarning], Text) #

Like `renderMustache`, but also returns a collection of warnings.

Since: 1.1.1